
Redmine - Feature #11539

Display a projects tree instead of a flat list in notification preferences

2012-07-30 19:07 - William Roush

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version: 2.1.0   

Resolution: Fixed   

Description

When managing a large number of projects this gets unruly quickly:

 Before.PNG 

So we replace it's rendering method with nearly the same one for the project page:

 NewHierarchy.PNG 

Related issues:

Related to Redmine - Defect #11508: Projects not ordered alphabetically after... Closed

Associated revisions

Revision 10188 - 2012-08-10 19:09 - Jean-Philippe Lang

Extract code to render nested listed of projects in an helper (#11539).

Revision 10189 - 2012-08-10 19:30 - Jean-Philippe Lang

Display a projects tree instead of a flat list in notification preferences (#11539).

Revision 10191 - 2012-08-10 20:41 - Jean-Philippe Lang

Removed duplicated helper (#11539).

History

#1 - 2012-07-30 21:40 - William Roush

This also means it should be affected by this bug: #11508, but that is a problem with the project being updated.

#2 - 2012-08-04 19:53 - William Roush

Any chance this can get marked for a future release?

#3 - 2012-08-05 14:35 - Etienne Massip

Checking the parent project checkbox could make think that notifications from child projects will be sent too, don't you think so?

#4 - 2012-08-05 20:16 - William Roush

Etienne Massip wrote:

Checking the parent project checkbox could make think that notifications from child projects will be sent too, don't you think so?

 I would argue that it doesn't, any software I use that behaves like that checks and disables child boxes, but if it could be interpreted that way we

should make it clear...

Notify the user in the section below that says "For unselected projects..." that parent projects don't cascade to child projects.

Just sort alphabetically, which doesn't work well when project names are ambiguous between different hierarchies of projects.

For example: "Webservices" under "Project 1" and "Project 2"

Sort by project hierarchy, but display with breadcrumb trails instead of parent/child hierarchies.

For example:

Project 2

Project 2 > Test 2
Project 2 > Test 2 > test4

Test Project

Test Project > test 3

Really it would be nice to have some sort of a solution, I know running some 20ish projects at work this gets to be a mess for people with higher level

privileges.

#5 - 2012-08-10 05:15 - William Roush

Any opinion on this?

#6 - 2012-08-10 11:28 - Jean-Philippe Lang

- Target version set to 2.1.0

Nice to have indeed.

#7 - 2012-08-10 19:31 - Jean-Philippe Lang

- Tracker changed from Patch to Feature

- Subject changed from E-Mail Notification List For "For any event on the selected projects only..." Ordering/Hierarchy Fix to Display a projects tree

instead of a flat list in notification preferences

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Fix committed in r10189 with a bit of refactoring in r10188 to avoid code duplication.

Files

Before.PNG 13.8 KB 2012-07-30 William Roush

NewHierarchy.PNG 14.2 KB 2012-07-30 William Roush

HiearchyPatch.patch 3.28 KB 2012-07-30 William Roush

Powered by TCPDF (www.tcpdf.org)

2025-05-17 2/2

https://www.redmine.org/projects/redmine/repository/svn/revisions/10189
https://www.redmine.org/projects/redmine/repository/svn/revisions/10188
http://www.tcpdf.org

